%define name	spacehulk
%define Name	Space Hulk
%define version 1.5
%define beta	beta2
%define release %mkrel 0.%{beta}.2
%define Summary	Science-fiction board game in the world of Warhammer 40000

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{Summary}
License:	GPL
Group:		Games/Strategy
URL:		http://savannah.nongnu.org/projects/spacehulk/
Source0:	%{name}-%{version}-%{beta}.tar.bz2
Source1:	%{name}-16.png
Source2:	%{name}-32.png
Source3:	%{name}-48.png
BuildRequires:	qt3-devel
BuildRoot: 	%{_tmppath}/%{name}-%{version}

%description
Space Hulk is a science-fiction board game in the world of Warhammer
40000. The project is aiming at providing a way to play SpaceHulk on
your computer with the exact same rules as in the board version.

This package is in PLF as it contains potentially copyrighted material.

%prep
%setup -q -n %{name}-%{version}-%{beta}

%build
%ifarch x86_64
	%define qtlibs %{_prefix}/lib/qt3/lib64
%else
	%define qtlibs %{_prefix}/lib/qt3/lib
%endif
%configure --with-qt-libs=%{qtlibs} --bindir=%{_gamesbindir} --datadir=%{_gamesdatadir}
%make

%install
rm -rf %{buildroot}
%makeinstall bindir=%{buildroot}%{_gamesbindir} datadir=$RPM_BUILD_ROOT%{_gamesdatadir}
# icons
install -D -m644 %{SOURCE3} %{buildroot}%{_liconsdir}/q%{name}.png 
install -D -m644 %{SOURCE2} %{buildroot}%{_iconsdir}/q%{name}.png 
install -D -m644 %{SOURCE1} %{buildroot}%{_miconsdir}/q%{name}.png

# menu
install -d -m 755 %{buildroot}%{_menudir}
cat >%{buildroot}%{_menudir}/%{name} <<EOF
?package(%{name}): \
	command="%{_gamesbindir}/q%{name}"\\
	needs="X11"\\
	section="More applications/Games/Strategy"\\
	icon="q%{name}.png"\\
	title="%{Name}"\\
	longtitle="%{Summary}"
EOF

%clean
rm -rf %{buildroot}

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README TODO
%attr(-,root,root) 
%{_gamesbindir}/*
%{_gamesdatadir}/%{name}
%{_menudir}/%{name}
%{_iconsdir}/q%{name}.png
%{_miconsdir}/q%{name}.png
%{_liconsdir}/q%{name}.png

%changelog
* Wed Sep 13 2006 Guillaume Rousse <guillomovitch@zarb.org> 1.5-0.beta2.2mdv2007.0
- Rebuild

* Tue Jun 14 2005 Guillaume Rousse <guillomovitch@zarb.org> 1.5-0.beta2.1plf
- new version 
- fix x86_64 build

* Sat Mar 06 2004 Guillaume Rousse <guillomovitch@zarb.org> 1.5-0.beta1.1plf
- 1.5
- removed redundant buildrequires
- fixed menu

* Wed Oct 29 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.4.99-1plf
- 1.4.99
- fix buildrequires
- rm -rf %{buildroot} in %%install, not %%prep
- don't bzip2 icons in source rpm
- summary macro..

* Sun Aug 10 2003 Guillaume Rousse <guillomovitch@zarb.org> 1.4.4b-1plf
- 1.4.4b
- PLF reason in description

* Tue Jul 08 2003 Guillaume Rousse <guillomovitch@zarb.org> 1.4.3-2plf
- fixed changelog

* Mon Jul 07 2003 Guillaume Rousse <guillomovitch@zarb.org> 1.4.3-1plf
- 1.4.3

* Tue Jun 17 2003 Guillaume Rousse <guillomovitch@zarb.org> 1.4.2-1plf
- 1.4.2
- buildrequires libjpeg62-devel (should be required by liqt3-devel)

* Tue May 27 2003 Guillaume Rousse <guillomovitch@zarb.org> 1.4.1-1plf
- 1.4.1

* Wed May 07 2003 Guillaume Rousse <guillomovitch@zarb.org> 1.4-1plf
- 1.4

* Sat Mar 22 2003 Guillaume Rousse <guillomovitch@zarb.org> 1.3.1-1plf
- 1.3.1

* Thu Feb 20 2003 Guillaume Rousse <guillomovitch@zarb.org> 1.2.1-1plf
- 1.2.1

* Sat Jan 25 2003 Guillaume Rousse <guillomovitch@zarb.org> 1.1.6-1plf
- 1.1.6

* Thu Dec 19 2002 Guillaume Rousse <guillomovitch@zarb.org> 1.1.4-1plf
- 1.1.4
- dropped patch (merged upstream)

* Mon Dec 09 2002 Guillaume Rousse <guillomovitch@zarb.org> 1.1.3-1plf
- first release
